#include <iostream>
using namespace std;

// Funkcija koja racuna broj cifara u pozitivnom broju
int brojCifara(long long int broj){
    int cifre = 0;
    while(broj != 0){
        broj /= 10;      // Funkcija skida cifru po cifru
        ++cifre;
    }

    return cifre;
}

int brojNovcanica(long long int suma){
    int novcanice = 0;
    int cifre;
    long long int prvaCifra;
    long long int stepen = 1;

    prvaCifra = suma;
    cifre = brojCifara(suma);
    for (int i = 0; i < cifre - 1; ++i){
        stepen *= 10;
    }
    for (int i = 1; i < cifre ; ++i){
        prvaCifra /= 10;
    }
    if (prvaCifra == 0){
        return novcanice;
    } else if (prvaCifra >= 5){
        suma -= 5 * stepen;
        ++novcanice;
        return novcanice += brojNovcanica(suma);
    } else if (prvaCifra < 5 && prvaCifra >= 2){
        suma -= 2 * stepen;
        ++novcanice;
        return novcanice += brojNovcanica(suma);
    } else {
        suma -= stepen;
        ++novcanice;
        return novcanice += brojNovcanica(suma);
    }
}

int main()
{
    long long int V;
    cin >> V;
    cout << brojNovcanica(V);

    return 0;
}